Subject: Re: bug#52298: 29.0.50; Frequent redisplay cycles induced by c-type-finder-timer-func timer in CC Mode

From: Daniel Martín <[email-masked]>
Date: Mon, 13 Dec 2021 00:31:38 +0100

Alan Mackenzie <[email-masked]> writes:

>
> This particular feature simply hasn't worked out well.  If the
> background scanning were to complete in a few seconds, it wouldn't be
> too bad.  But nearly two minutes on a modern (well, 4½ yo) machine for
> just one buffer, with the annoyance of the "stuttering", is not worth
> the gain.

If you want another data point, on my 2017 MacBook Pro visiting xdisp.c
took 1:30 min of background work (using 25% of the CPU).

Is it possible to make the feature optional, even for the default
font-lock decoration level in CC mode?  So only the people that want
more accurate highlighting of types pay the cost of this background
work.